#include <stdio.h>
#include <conio.h>
#include <stdlib.h>

void main()
{
	int b,c;
	scanf("%d%d",&b, &c);
	if( (b>=0 && b<=500) && (c>=0 && c<=500))
	{
		if(c >= 256 || b >=256)
		{
			printf("0");
		}
		else
		{
			int min = 256-b;
			if(min > 256 - c)
			{
				min = 256 - c;
			}
			printf("%d",min);
		}
		getch();
	}
}